Package: org.codehaus.groovy.transform

## [Java] Class PropertyInfo

- org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo (String name, ClassNode type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getName()`
    `` | `ClassNode` | `getType()`
    `` | `void` | `setName(String name)`
    `` | `void` | `setType(ClassNode type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo(String name, ClassNode type)

  - ### Method Detail

    - #### public String getName()

    - #### public ClassNode getType()

    - #### public void setName(String name)

    - #### public void setType(ClassNode type)